Loading...
Searching...
No Matches
ipa_asp_fsm_priv Struct Reference

## Data Fields

struct osmo_ss7_asp * | asp
enum osmo_ss7_asp_role | role
struct ipaccess_unit * | ipa_unit
struct osmo_timer_list | pong_timer
bool | ipa_id_ack_rcvd

## Field Documentation

## asp

struct osmo_ss7_asp* ipa_asp_fsm_priv::asp

Referenced by get_fd_from_iafp(), ipa_asp_fsm_start(), ipa_asp_fsm_timer_cb(), ipa_asp_fsm_wait_id_get(), ipa_asp_fsm_wait_id_resp(), and ipa_pong_timer_cb().

## ipa_id_ack_rcvd

bool ipa_asp_fsm_priv::ipa_id_ack_rcvd

Referenced by ipa_asp_fsm_wait_id_resp().

## ipa_unit

struct ipaccess_unit* ipa_asp_fsm_priv::ipa_unit

Referenced by ipa_asp_allstate(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_get(), and ipa_asp_fsm_wait_id_resp().

## pong_timer

struct osmo_timer_list ipa_asp_fsm_priv::pong_timer

Referenced by ipa_asp_allstate(), and ipa_asp_fsm_start().

## role

enum osmo_ss7_asp_role ipa_asp_fsm_priv::role

Referenced by ipa_asp_allstate(), ipa_asp_fsm_down(), and ipa_asp_fsm_start().

The documentation for this struct was generated from the following file:

- src/xua_asp_fsm.c